<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_f5e940c61" . "4f55e70f21" . "0df8306ffb" . "d17" => base64_decode("YXJyYXlfZm" . "lsbF9rZXlz"), "_c336a736f9" . "8472e69eb00" . "017dda5a17e" => base64_decode("dHJpZ2dlcl9lcnJvcg=" . "="), "_31767d7ad58e706dbf47b7a" . "51a0fe6c4" => base64_decode("Y291bnQ" . "="), "_cce0d019091a193c2ea098ab" . "902d8821" => base64_decode("QXR0ZW1wdCB0byBzYXZlIGF" . "0dGVuZGVlcyB3aXRoIG5vIG" . "xpc3RfaWQh"), "_39b6f979" . "f725d2d06" . "6951011e1" . "554c14" => base64_decode("YXJyYXlfZGlmZ" . "l9rZXk="), "_4d2b763f" . "00ba1e800" . "1879ba79a" . "849269" => base64_decode("YXJyYXlfaW50ZXJzZWN0X2tl" . "eQ=="), "_a8391504b805b5d572e9b1a5" . "c5d0169e" => base64_decode("Tm8gbGlzdCBpZA=" . "="), "_1d5727e95902d6ca0a" . "94581ac86acf26" => base64_decode("QXR0ZW1wdCB0byBsb2FkIGF0dGVuZGVlcyBsaXN0IHdpdGggbm8gbGlzdF9" . "pZA=="), "_c06c961f39" . "3742ecfd52b" . "72263ac9470" => base64_decode("aW50" . "dmFs"));
abstract class CalendarEventParticipants extends ErrorHandler
{
    protected $is_list_loaded;
    protected $list_id = false;
    protected $users = array();
    protected $deleted_users = array();
    protected $new_users = array();
    protected $old_users = array();
    
    
    
    
    protected $event;
    public function __construct(CalendarObject $event)
    {
        $this->event = $event;
        $this->is_list_loaded = false;
    }
    
    
    
    
    
    
    public function SetUsers($_c9cc2169cfc80b4728d6b39dfdcba6bb)
    {
        
        
        $_c9cc2169cfc80b4728d6b39dfdcba6bb = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_f5e940c614f55e70f210df8306ffbd" . "17"]($_c9cc2169cfc80b4728d6b39dfdcba6bb, 1);
        
        
        $this->deleted_users = $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_39b6f979f725d2d066951011e1" . "554c14"]($this->users, $_c9cc2169cfc80b4728d6b39dfdcba6bb);
        $this->new_users = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_39b6f979f725d2" . "d066951011e1554" . "c14"]($_c9cc2169cfc80b4728d6b39dfdcba6bb, $this->users);
        $this->old_users = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_4d2b763f00ba1e" . "8001879ba79a849" . "269"]($this->users, $_c9cc2169cfc80b4728d6b39dfdcba6bb);
        $this->is_list_loaded = true;
    }
    public function Load()
    {
        if (!$this->list_id) {
            throw new Exception($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_1d5727e95902d6ca0a945" . "81ac86acf26"]);
        }
        $this->deleted_users = array();
        $this->new_users = array();
        $this->old_users = array();
        $this->is_list_loaded = true;
    }
    public function SetListId($_0ea4e32b57963ac0cb3057e03e9aef64)
    {
        $this->list_id = $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_c06c961f39" . "3742ecfd52b" . "72263ac9470"]($_0ea4e32b57963ac0cb3057e03e9aef64);
        if ($_0ea4e32b57963ac0cb3057e03e9aef64 === null) {
            $this->is_list_loaded = true;
        }
    }
    
    
    
    
    
    
    public function isAttendeesChanged()
    {
        return $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_31767d7ad58e706db" . "f47b7a51a0fe6c4"]($this->new_users) > 0 || $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_31767d7ad58e" . "706dbf47b7a51" . "a0fe6c4"]($this->deleted_users) > 0;
    }
    public function Save()
    {
        if (!$this->list_id) {
            $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_c336a736f98472e69eb00" . "017dda5a17e"]($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_a8391504b8" . "05b5d572e9b" . "1a5c5d0169e"]);
            throw new Exception($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_cce0d019091a193c2ea" . "098ab902d8821"]);
        }
        $this->SaveNewUsers();
        $this->DeleteUnattendedUsers();
        foreach ($this->new_users as $user_id => $_c96f552040dea8086bf8bdd70059542f) {
            $this->users[$user_id] = $_c96f552040dea8086bf8bdd70059542f;
        }
        
        
        $this->users = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_39b6f979f725d2d066951011e1554" . "c14"]($this->users, $this->deleted_users);
        
        
    }
    public function GetNewUsers()
    {
        if (!$this->is_list_loaded) {
            $this->Load();
        }
        return $this->new_users;
    }
    public function GetAllUsers()
    {
        if (!$this->is_list_loaded) {
            $this->Load();
        }
        return (array) $this->users;
    }
    public function GetOldUsers()
    {
        if (!$this->is_list_loaded) {
            $this->Load();
        }
        return (array) $this->old_users;
    }
    public function GetDeletedUsers()
    {
        if (!$this->is_list_loaded) {
            $this->Load();
        }
        return (array) $this->deleted_users;
    }
    protected abstract function SaveNewUsers();
    protected abstract function DeleteUnattendedUsers();
}